package com.abi.qms.platform.service;


import com.abi.qms.platform.dto.req.*;
import com.abi.qms.platform.dto.res.GetActiveRes;
import com.abi.qms.platform.dto.res.ListActiveRes;

/**
 * <p>
 * 活动管理
 * </p>
 *
 * @author Andy.Tan
 */
public interface ActiveService{


    /**
     * 新增活动
     * @param addActiveReq
     * @throws Exception
     */
    void addActive(AddActiveReq addActiveReq);

    /**
     * 编辑活动
     * @param updateActiveReq
     */
    void updateActive(UpdateActiveReq updateActiveReq);

    /**
     * 分页查询活动
     * @param listActiveReq
     * @return
     */
    ListActiveRes listActive(ListActiveReq listActiveReq);

    /**
     * 查询活动明细
     * @param getActiveReq
     * @return
     */
    GetActiveRes getActive(GetActiveReq getActiveReq);

    /**
     * 活动启用
     * @param enableActiveReq
     */
    void enableActive(EnableActiveReq enableActiveReq);

    /**
     * 活动禁用
     * @param disableActiveReq
     */
    void disableActive(DisableActiveReq disableActiveReq);

}
