package com.abi.qms.platform.service;


import com.abi.qms.platform.dto.req.*;
import com.abi.qms.platform.dto.res.GetSkuRes;
import com.abi.qms.platform.dto.res.ListSkuRes;

/**
 * <p>
 * 商品管理
 * </p>
 *
 * @author Andy.Tan
 */
public interface SkuService{


    /**
     * 新增商品
     * @param addSkuReq
     * @throws Exception
     */
    void addSku(AddSkuReq addSkuReq);

    /**
     * 编辑商品
     * @param updateSkuReq
     */
    void updateSku(UpdateSkuReq updateSkuReq);

    /**
     * 分页查询商品
     * @param listSkuReq
     * @return
     */
    ListSkuRes listSku(ListSkuReq listSkuReq);

    /**
     * 查询商品明细
     * @param getSkuReq
     * @return
     */
    GetSkuRes getSku(GetSkuReq getSkuReq);

    /**
     * 商品启用
     * @param enableSkuReq
     */
    void enableSku(EnableSkuReq enableSkuReq);

    /**
     * 商品禁用
     * @param disableSkuReq
     */
    void disableSku(DisableSkuReq disableSkuReq);

}
